lm.component('pageSetJobs', {
  templateUrl: 'comp/page_usr/pageSetJobs.' + lmCacheTag + 'html',
  bindings: {
  },
  $canActivate: function($nextInstruction, $prevInstruction, serviceLimboMedia) {
	  return serviceLimboMedia.isAuthenticated();
  },
  controller: function($http, serviceLimboMedia, serviceNotification) {
	  var ctrl = this;
	  
	  ctrl.jobs = [];
		
	  ctrl.loadJobs = function() {
			$http.get(lmBase.url + 'jobs/jobs').then(
				function success(resp) {
					ctrl.jobs = resp.data;
				},
				serviceLimboMedia.handleHttpErrorNew
			);
		};

		ctrl.cancelJob = function(valueJob) {
			$http.delete(lmBase.url + 'jobs/job/' + valueJob.id).then(
				function success(resp) {
					serviceNotification.ok('MSG_JOB_CANCEL');
					ctrl.loadJobs();
				},
				serviceLimboMedia.handleHttpErrorNew
			);	
		};

		ctrl.loadJobs();
  }
});
