lm.component('lmUiProgress', {
  templateUrl: 'comp/ui/lmUiProgress.' + lmCacheTag + 'html',
  bindings: {
	  max: '<',
	  current: '<',
	  styleFill: '@',
	  styleText: '@',
	  onChange: '&'
  },
  transclude: true,
  controller: function($scope, $element) {
	  var ctrl = this;
	  
	  ctrl.clicked = function(event) {
		  $scope.$apply(function() {
			  var pos = lmBase.mouseInDiv($element[0],event);
			  ctrl.onChange({position: pos});
		  });
	  }
	  
	  $element[0].onclick = ctrl.clicked;
  }
});
