lm.component('lmUiModal', {
	templateUrl: 'comp/ui/lmUiModal.' + lmCacheTag + 'html',
	bindings: { lmModel: '<' },
	controller: function($scope, $element, $compile, serviceModal) {
		var ctrl = this;
		
		ctrl.container = $element.find('.lm-modal');

		ctrl.onDismiss = function() {
			if(ctrl.lmModel.closable) {
				serviceModal.dismiss(ctrl.lmModel);
			}
		};

		ctrl.onDone = function(result) {
			if(ctrl.lmModel.closable) {
				serviceModal.done(ctrl.lmModel,result);
			}
		};

		ctrl.$onInit = function() {
			var html = '<' + ctrl.lmModel.name + ' lm-params="$ctrl.lmModel.params" lm-dismiss="$ctrl.onDismiss()" lm-done="$ctrl.onDone(result)"></' + ctrl.lmModel.name + '>';
			var element = $compile(html)($scope.$new());
			ctrl.container.html(element);
		};
	}
});
